# GET Stages by Season ID

### `GET` Stage by ID

```
https://soccer.sportmonks.com/api/v2.0/stages/season/{ID}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 2       |

#### Parameters

| Available parameters |                                                                                                               |
| -------------------- | ------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=`  to your request url. |

#### Include options

`fixtures` `results` `season` `league`<br>

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://soccer.sportmonks.com/api/v2.0/stages/season/17141?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
  "data": [
        {
            "id": 77447500,
            "name": "2nd Phase",
            "type": "Group Stage",
            "league_id": 501,
            "season_id": 17141,
            "sort_order": 2,
            "has_standings": true
        },
        {
            "id": 77447501,
            "name": "1st Phase",
            "type": "Group Stage",
            "league_id": 501,
            "season_id": 17141,
            "sort_order": 1,
            "has_standings": true
        }
    ],
```

{% endtab %}

{% tab title="Field Description" %}

| **Field**       | Description                               |
| --------------- | ----------------------------------------- |
| `id`            | The unique id of the stage                |
| `name`          | The name of the stage                     |
| `type`          | Indicates what kind of type the stage is  |
| `league_id`     | The unique league id the stage belongs to |
| `season_id`     | The unique season id the stage belongs to |
| `sort_order`    | The order of the stages                   |
| `has_standings` | Indicates if the stage supports standing  |
| {% endtab %}    |                                           |
| {% endtabs %}   |                                           |

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#31b40881-3a21-4b27-8c64-ce3e7930bf6f)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/stages/get-stages-by-season-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
